> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Execution Logs



## OpenAPI

````yaml openapi.json get /api/executions/{execution_uuid}/logs
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/executions/{execution_uuid}/logs:
    get:
      tags:
        - executions
      summary: Get Execution Logs
      operationId: get_execution_logs_api_executions__execution_uuid__logs_get
      parameters:
        - name: execution_uuid
          in: path
          required: true
          schema:
            type: string
            title: Execution Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionLogsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExecutionLogsResponse:
      properties:
        logs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      type: object
      title: ExecutionLogsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````